# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
AR = @AR@
BUILD_PRC = @BUILD_PRC@
CC = @CC@
CC_DEFINE = @CC_DEFINE@
CC_FOR_BUILD = @CC_FOR_BUILD@
CLASSPATH = @CLASSPATH@
CPP = @CPP@
EXEGEN = @EXEGEN@
FOR_PALM = @FOR_PALM@
FOR_WIN32 = @FOR_WIN32@
GLIB_CFLAGS = @GLIB_CFLAGS@
GLIB_CONFIG = @GLIB_CONFIG@
GLIB_LIBS = @GLIB_LIBS@
GTK_CFLAGS = @GTK_CFLAGS@
GTK_CONFIG = @GTK_CONFIG@
GTK_LIBS = @GTK_LIBS@
JAVA = @JAVA@
JAVAC = @JAVAC@
JAVACFLAGS = @JAVACFLAGS@
JAVAFLAGS = @JAVAFLAGS@
JAVAPREFIX = @JAVAPREFIX@
MAKEINFO = @MAKEINFO@
NM = @NM@
PACKAGE = @PACKAGE@
PGUI_LIBS = @PGUI_LIBS@
PLATFORM = @PLATFORM@
RANLIB = @RANLIB@
VERSION = @VERSION@
WABA_ID = @WABA_ID@
WARP = @WARP@
uudecode = @uudecode@

noinst_PROGRAMS = Convert.class Thread.class Time.class Vm.class VmShell.class

Convert_class_SOURCES = Convert.java
Thread_class_SOURCES = Thread.java
Time_class_SOURCES = Time.java
Vm_class_SOURCES = Vm.java
VmShell_class_SOURCES = VmShell.java

sysdir = ${prefix}/classes/waba/sys
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(noinst_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) 
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
Convert_class_OBJECTS = 
Convert_class_LDADD = $(LDADD)
Convert_class_DEPENDENCIES = 
Convert_class_LDFLAGS = 
Thread_class_OBJECTS = 
Thread_class_LDADD = $(LDADD)
Thread_class_DEPENDENCIES = 
Thread_class_LDFLAGS = 
Time_class_OBJECTS = 
Time_class_LDADD = $(LDADD)
Time_class_DEPENDENCIES = 
Time_class_LDFLAGS = 
Vm_class_OBJECTS = 
Vm_class_LDADD = $(LDADD)
Vm_class_DEPENDENCIES = 
Vm_class_LDFLAGS = 
VmShell_class_OBJECTS = 
VmShell_class_LDADD = $(LDADD)
VmShell_class_DEPENDENCIES = 
VmShell_class_LDFLAGS = 
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
SOURCES = $(Convert_class_SOURCES) $(Thread_class_SOURCES) $(Time_class_SOURCES) $(Vm_class_SOURCES) $(VmShell_class_SOURCES)
OBJECTS = $(Convert_class_OBJECTS) $(Thread_class_OBJECTS) $(Time_class_OBJECTS) $(Vm_class_OBJECTS) $(VmShell_class_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps waba_classes/waba/sys/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

Thread.class: $(Thread_class_OBJECTS) $(Thread_class_DEPENDENCIES)
	@rm -f Thread.class
	$(LINK) $(Thread_class_LDFLAGS) $(Thread_class_OBJECTS) $(Thread_class_LDADD) $(LIBS)

Time.class: $(Time_class_OBJECTS) $(Time_class_DEPENDENCIES)
	@rm -f Time.class
	$(LINK) $(Time_class_LDFLAGS) $(Time_class_OBJECTS) $(Time_class_LDADD) $(LIBS)

Vm.class: $(Vm_class_OBJECTS) $(Vm_class_DEPENDENCIES)
	@rm -f Vm.class
	$(LINK) $(Vm_class_LDFLAGS) $(Vm_class_OBJECTS) $(Vm_class_LDADD) $(LIBS)

VmShell.class: $(VmShell_class_OBJECTS) $(VmShell_class_DEPENDENCIES)
	@rm -f VmShell.class
	$(LINK) $(VmShell_class_LDFLAGS) $(VmShell_class_OBJECTS) $(VmShell_class_LDADD) $(LIBS)
tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = waba_classes/waba/sys

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-noinstPROGRAMS mostlyclean-compile \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-noinstPROGRAMS clean-compile clean-generic \
		mostlyclean-am

clean: clean-am

distclean-am:  distclean-noinstPROGRAMS distclean-compile \
		distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-noinstPROGRAMS \
		maintainer-clean-compile maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-noinstPROGRAMS distclean-noinstPROGRAMS \
clean-noinstPROGRAMS maintainer-clean-noinstPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags distdir info-am info dvi-am dvi check \
check-am installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


Convert.class: Convert.java Thread.java Time.java Vm.java VmShell.java
	CLASSPATH=@CLASSPATH@ @JAVAC@ $(srcdir)/*.java
	touch ../../changed.txt
install-exec-am:
	$(mkinstalldirs) $(DESTDIR)$(sysdir)
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	    if test -f $$p; then \
	        $(INSTALL_DATA) $$p $(DESTDIR)$(sysdir)/$$p; \
	    else :; fi; \
	done

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
